#include <time.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include "interface.h"
#include "debug.h"
#include "genmove.h"
#include "db.h"

INTERFACE interface;

void interface_update()
{
 interface.update(0);
}


void interface_update(float num)
{
 interface.update(num);
}


int main(int argc, char *argv[])
{

#ifdef __BEOS__
int counti;
char datapath[256];
for (counti=strlen(argv[0]) ; argv[0][counti]!='/' ; counti--);
strncpy(datapath, argv[0], counti);
chdir(datapath);
#endif

 clock_t start;
 start = clock();
 srand(start);

 cout << "GN_Init();\n";
 GN_Init();
 cout << "DB_Init();\n";
 DB_Init();
 cout << "interface.start();\n";
 interface.start();
}
