#include <SDL/SDL.h>

#include "data.h"

class INTERFACE{
public:
  INTERFACE() : isdialog(false), psize(40), bsize(46),GameNbMove(0) {}
  int           start();
  void          loop(bool color);
  MOVE          getmove(BOARD board,bool color);
  const         INTERFACE& operator<< (char *buffer);
  const         INTERFACE& operator<< (int buffer);
  const         INTERFACE& operator<< (double buffer);
  const         INTERFACE& operator<< (float buffer);
  const         INTERFACE& operator<< (long int buffer);
  const         INTERFACE& operator<< (MOVE buffer);
  const         INTERFACE& operator<< (BOARD buffer);
  void          update(float percent);
  void          end();
private:
  void          AddToGame(MOVE move);
  BOARD         board;
  MOVE          sdl_move;
  MOVE          *game;
  int           GameNbMove;
  int           psize;     // piece size
  int           bsize;     // board size
  bool          isdialog;
  bool          usercolor;
  SDL_Surface   *sdl_pieces;
  SDL_Surface   *sdl_screen;
  SDL_Surface   *sdl_dialog;
  SDL_Surface   *sdl_black;
  SDL_Surface   *sdl_white;
  SDL_Surface   *sdl_progress;
  SDL_Cursor    *sdl_cursor;

  SDL_Surface   *sdl_bcase_up;
  SDL_Surface   *sdl_wcase_up;
  SDL_Surface   *sdl_bcase_down;
  SDL_Surface   *sdl_wcase_down;
};

