#include "analyse.h"


SLINT AN_Analyse(BOARD board)
{
 signed long int nb=0;
 // Avantage numerique
 BITBOARD mask=1,temp;
 if (board.data[0][5]==0) return -MATE_VALUE;
 if (board.data[1][5]==0) return  MATE_VALUE;
 for(int I=0;I<64;I++){
         if ((board.data[0][0]&mask)!=0) nb+= PAWN_VALUE;
         if ((board.data[1][0]&mask)!=0) nb-= PAWN_VALUE;
         if ((board.data[0][1]&mask)!=0) nb+= KNIGHT_VALUE;
         if ((board.data[1][1]&mask)!=0) nb-= KNIGHT_VALUE;
         if ((board.data[0][2]&mask)!=0) nb+= BISHOP_VALUE;
         if ((board.data[1][2]&mask)!=0) nb-= BISHOP_VALUE;
         if ((board.data[0][3]&mask)!=0) nb+= ROOK_VALUE;
         if ((board.data[1][3]&mask)!=0) nb-= ROOK_VALUE;
         if ((board.data[0][4]&mask)!=0) nb+= QUEEN_VALUE;
         if ((board.data[1][4]&mask)!=0) nb-= QUEEN_VALUE;
         mask<<=1;
 }
 // Positionnement
 mask=66125924401152ULL;
 temp = board.color[0]&mask;
 if (temp!=0) for(;temp!=0;){
         if (Parity(temp)) nb+= SPLACEMENT_VALUE;
         temp >>= 1;
 }
 temp = board.color[1]&mask;
 if (temp!=0) for(;temp!=0;){
         if (Parity(temp)) nb-= SPLACEMENT_VALUE;
         temp >>= 1;
 }

 mask=103481868288ULL;
 temp = board.color[0]&mask;
 if (temp!=0) for(;temp!=0;){
         if (Parity(temp)) nb+= FPLACEMENT_VALUE;
         temp >>= 1;
 }
 temp = board.color[1]&mask;
 if (temp!=0) for(;temp!=0;){
         if (Parity(temp)) nb-= FPLACEMENT_VALUE;
         temp >>= 1;
 }
 return nb;
}
